> Tous les forums > Forum Linux
 [DEBIAN LINUX] Installer GDLIB picture librarSujet résolu
Ajouter un message à la discussion
Page : [1] 
Page 1 sur 1
theraptor
  Posté le 20/07/2007 @ 20:42 
Aller en bas de la page 
Nouvel astucien
Bonjour,
J'avais deja installer apache sur mon serveur linux debian.
Mais actuellement j'ai besoin d'installer uniquement GD Lib ( en conservant ce qui est deja installé)
j'ai taper en root:
apt-get install gd-devel ->pour installer le package "gd".
apt-get install php-gd -> pour installer le module gd pour PHP en installant "php-gd".
A chaque fois il me marque :Impossible de trouver le paquet gd-devel
Est ce possible d'installer seulement la librairie GD sans reinstaller le PHP ?
Si je dois reinstaller le php, quel en seront les consequences sur les pages deja existantes, sur le serveur ?
Merci
Publicité
deejill
 Posté le 20/07/2007 à 20:49 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Salut,

ton php est compilé ou installé par les paquets ?

un apt-cache search --names-only retourne :

libgd-barcode-perl - Library to create barcode images (GD::Barcode)
libgd-dev - GD Graphics Library (transitional package)
libgd-gd1-noxpm-perl - Perl module wrapper for libgd (old version against GD 1.8.x)
libgd-gd1-perl - Perl module wrapper for libgd (old version against GD 1.8.x)
libgd-gd2-noxpm-perl - Perl module wrapper for libgd - gd2 variant without XPM support
libgd-gd2-perl - Perl module wrapper for libgd - gd2 variant
libgd-graph-perl - Graph Plotting Module for Perl 5
libgd-graph3d-perl - Create 3D Graphs with GD and GD::Graph
libgd-noxpm-dev - GD Graphics Library (old version, without XPM support)
libgd-perl - Perl module wrapper for libgd
libgd-ruby1.8 - Extension library to use GD graphics library from Ruby 1.8
libgd-securityimage-perl - Security image (captcha) generator.
libgd-text-perl - Text utilities for use with GD
libgd-tools - GD command line tools and example code
libgd-xpm-dev - GD Graphics Library (old version)
libgd1 - GD Graphics Library (transitional package)
libgd1-noxpm - GD Graphics Library (old version, without XPM support)
libgd1-xpm - GD Graphics Library (old version)
libgd2-noxpm - GD Graphics Library version 2 (without XPM support)
libgd2-noxpm-dev - GD Graphics Library version 2 (development version)
libgd2-xpm - GD Graphics Library version 2
libgd2-xpm-dev - GD Graphics Library version 2 (development version)

theraptor
 Posté le 20/07/2007 à 21:03 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Nouvel astucien

euh.....

J'ai suivi un tuto...

Quand je tente de faire ta commande il me dit : Vous devez fournir exactement un motif



deejill
 Posté le 20/07/2007 à 21:10 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
apt-cache search --names-only gd
theraptor
 Posté le 20/07/2007 à 21:28 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Nouvel astucien

Voila ce qu'il me ressort :

cgdb - a curses-based interface to the GNU Debugger (GDB)
cl-gd - GD Interface Library for Common Lisp
devhelp-book-gdb - GNU Debugger (gdb) book for the DevHelp system
eggdrop - Advanced IRC Robot
eggdrop-data - Architecture independent files for eggdrop
gauche-gdbm - gdbm binding for Gauche
gda-mysql - GDA backend server for MySQL
gda-odbc - GDA backend server for ODBC
gda-postgres - GDA backend server for PostgreSQL
gda2-freetds - FreeTDS backend plugin for GNOME Data Access library for GNOME2
gda2-mysql - MySQL backend plugin for GNOME Data Access library for GNOME2
gda2-odbc - ODBC backend plugin for GNOME Data Access library for GNOME2
gda2-postgres - PostgreSQL backend plugin for GNOME Data Access library for GNOM E2
gda2-sqlite - SQLite backend plugin for GNOME Data Access library for GNOME2
gdal-bin - Geospatial Data Abstraction Library - Utility programs
gdancer - visualization plug-in for xmms
gdb - The GNU Debugger
gdb-avr - The GNU Debugger for avr
gdb-m68hc1x - GNU Debugger for the Motorola 68HC11/12 processors
gdeb - graphical package inspection tool
gdeskcal - A desktop calendar featuring transparency with smooth alpha-blending
gdesklets - an advanced architecture for desktop applets
gdesklets-data - displays and sensors for gdesklets
gdis - molecular display
gdk-imlib1 - imaging library for use with gtk (using libpng2)
gdk-imlib1-dev - Header files needed for Gdk-Imlib development (using libpng2)
gdm - GNOME Display Manager
gdm-themes - Themes for the GNOME Display Manager
gdtclft - Tcl interface to GD graphics creation library
gnat-gdb - Ada-aware version of GDB
gnat-gdb-doc - Documentation for the Ada-aware version of GDB
gnome-utils - GNOME desktop utilities
gnustep-gd - Objective-C Interface to the GD Graphics Library
ifplugd - A configuration daemon for ethernet devices
inetutils-syslogd - System logging daemon
jigdo - GTK+ download manager
jigdo-file - Download Debian CD images from any Debian mirror
klogd - Kernel Logging Daemon
langdrill - language drills to test vocabulary
libbigdecimal-ruby - Variable precision floating library for Ruby
libgd-dev - GD Graphics Library (transitional package)
libgd-gd1-noxpm-perl - Perl module wrapper for libgd (old version against GD 1.8 .x)
libgd-gd2-noxpm-perl - Perl module wrapper for libgd - gd2 variant without XPM s upport
libgd-gd2-perl - Perl module wrapper for libgd - gd2 variant
libgd-gif-tools - GD command line tools with gif support
libgd-gif1 - GD Graphics Library with gif support
libgd-gif1-dev - GD Graphics Library with gif support (development version)
libgd-graph-perl - Graph Plotting Module for Perl 5
libgd-graph3d-perl - Create 3D Graphs with GD and GD::Graph
libgd-noxpm-dev - GD Graphics Library (old version, without XPM support)
libgd-ruby1.6 - Extension library to use GD graphics library from Ruby 1.6
libgd-ruby1.8 - Extension library to use GD graphics library from Ruby 1.8
libgd-text-perl - Text utilities for use with GD
libgd-tools - GD command line tools and example code
libgd-xpm-dev - GD Graphics Library (old version)
libgd1 - GD Graphics Library (transitional package)
libgd1-noxpm - GD Graphics Library (old version, without XPM support)
libgd1-xpm - GD Graphics Library (old version)
libgd2 - GD Graphics Library version 2
libgd2-dev - GD Graphics Library version 2 (development version)
libgd2-noxpm - GD Graphics Library version 2 (without XPM support)
libgd2-noxpm-dev - GD Graphics Library version 2 (development version)
libgd2-xpm - GD Graphics Library version 2
libgd2-xpm-dev - GD Graphics Library version 2 (development version)
libgda-common - GNOME Data Access library -- common files
libgda-dev - GNOME Data Access library -- development files
libgda-doc - GNOME Data Access library -- documentation files
libgda0 - GNOME Data Access library -- runtime libraries
libgda2-3 - GNOME Data Access library for GNOME2
libgda2-3-dbg - GDA2 library and debugging symbols
libgda2-common - Common files for GNOME Data Access library for GNOME2
libgda2-dev - Development files for GNOME Data Access library for GNOME2
libgda2-doc - Documentation files for GNOME Data Access library for GNOME2
libgda2-ruby - GDA bindings for the Ruby language
libgdal-doc - Documentation for the Geospatial Data Abstraction Library
libgdal1 - Geospatial Data Abstraction Library
libgdal1-dev - Geospatial Data Abstraction Library - Development files
libgdamm1.3-7 - C++ wrappers for libgda2 (shared library)
libgdamm1.3-dev - C++ wrappers for libgda2 (development files)
libgdbm-dev - GNU dbm database routines (development files)
libgdbm-ruby - GDBM interface for Ruby
libgdbm-ruby1.6 - GDBM interface for Ruby 1.6.x
libgdbm-ruby1.8 - GDBM interface for Ruby 1.8
libgdbm3 - GNU dbm database routines (runtime version)
libgdbmg1 - GNU dbm database routines (runtime version)
libgdchart-gd1-noxpm - Generate graphs using the GD library
libgdchart-gd1-noxpm-dev - Generate graphs using the GD library (development ver sion)
libgdchart-gd1-xpm - Generate graphs using the GD library
libgdchart-gd1-xpm-dev - Generate graphs using the GD library (development versi on)
libgdchart-gd2-noxpm - Generate graphs using the GD library
libgdchart-gd2-noxpm-dev - Generate graphs using the GD library (development ver sion)
libgdchart-gd2-xpm - Generate graphs using the GD library
libgdchart-gd2-xpm-dev - Generate graphs using the GD library (development versi on)
libgdgeda-dev - GNU EDA -- Electronics design software -- gd development files
libgdgeda6 - GNU EDA -- Electronics design software -- gd library files
libgdk-imlib-ruby1.6 - Gtk+ and gdkimlib interface for Ruby
libgdk-pixbuf-dev - The GdkPixBuf library - development files
libgdk-pixbuf-gnome-dev - The GNOME1 GdkPixBuf library - development files
libgdk-pixbuf-gnome2 - The GNOME1 Canvas pixbuf library
libgdk-pixbuf-ruby1.6 - Gtk+ and gdkpixbuf interface for Ruby
libgdk-pixbuf2 - The GdkPixBuf image library, gtk+ 1.2 version
libgdk-pixbuf2-ruby - Gdk-Pixbuf 2 bindings for the Ruby language
libgdome2-0 - DOM level2 library for accessing XML files
libgdome2-cpp-smart-dev - C++ bindings for GDome2 DOM implementation
libgdome2-cpp-smart0 - C++ bindings for GDome2 DOM implementation
libgdome2-dev - Development files for libgdome2
libgdome2-ocaml - OCaml bindings for GDome2 DOM implementation
libgdome2-ocaml-dev - OCaml bindings for GDome2 DOM implementation
libgdome2-xslt-dev - Minimal XSLT processor working on GDome2 documents
libgdome2-xslt-ocaml - OCaml bindings for a minimal GDome2 based XSLT processor
libgdome2-xslt-ocaml-dev - OCaml bindings for a minimal GDome2 based XSLT proces sor
libgdome2-xslt0 - Minimal XSLT processor working on GDome2 documents
libroxen-cloakingdevice - Mailto mutilation module for the Roxen Challenger web server
libruby1.8 - Libraries necessary to run Ruby 1.8
lx-gdb - Dump and load databases from the HP palmtop
mgdiff - xdiff clone
mpegdemux - a MPEG1/2 system stream demultiplexer
myspell-gd - Scots Gaelic dictionary for myspell
p10cfgd - Remote configuration daemon for Gracilis Packeten.
pgdocs-pdf - PostgreSQL documentation in PDF format on US letter paper
pgdocs-pdf-a4 - PostgreSQL documentation in PDF format for A4 paper
php3-cgi-gd - GD (graphic creation) module for PHP3 (use with php3-cgi)
php3-gd - GD (graphic creation) module for PHP3 (use with php3)
pike-gdbm - Gdbm module for Pike [aux package]
pike7.2-gdbm - Gdbm module for Pike
pike7.4-gdbm - Gdbm module for Pike
pike7.6-gdbm - Gdbm module for Pike
plplot9-driver-gd - Scientific plotting library (GD driver)
python-gd - Python module wrapper for libgd
python-gdal - Python bindings to the Geospatial Data Abstraction Library
python-gdbm - GNU dbm database support for Python (default version)
python-gdchart - Python interface to GDChart
python-gdchart2 - Python OO interface to GDChart
python-gdchart2-doc - Python OO interface to GDChart - docs
python-gdk-imlib-1.2 - GTK gdk_imlib support module for Python
python2.1-gdbm - GNU dbm database support for Python (v2.1)
python2.1-gdchart2 - Python OO interface to GDChart
python2.2-gdbm - GNU dbm database support for Python (v2.2)
python2.2-gdchart2 - Python OO interface to GDChart
python2.3-gdbm - GNU dbm database support for Python (v2.3)
python2.3-gdchart2 - Python OO interface to GDChart
python2.4-gdbm - GNU dbm database support for Python (v2.4)
python2.4-gdchart2 - Python OO interface to GDChart
scanlogd - A portscan detecting tool
stegdetect - Detect and extract steganography messages inside JPEG
sysklogd - System Logging Daemon
toolchain-source-gdb - The GNU gdb source code
ulogd - The Netfilter Userspace Logging Daemon
ulogd-mysql - mySQL extension to ulogd
ulogd-pcap - pcap extension to ulogd
ulogd-pgsql - PostgreSQL extension to ulogd
xgdipc - GnuDIP GTK client
xgdvi - a TeX DVI previewer for X, with a nice GTK+ UI
xringd - Extended Ring Daemon - Monitor phone rings and take action.
xxgdb - A X front-end to the GNU debugger gdb
zope-psycopgda - Zope Database Adapter based on python-psycopg
php4-gd - GD module for php4



deejill
 Posté le 20/07/2007 à 21:36 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

libgd2

libgd2-dev

:

ça semble pas mal non ?

un petit :

apt-get install libgd2 libgd2-dev

en root et puis c'est marre...

theraptor
 Posté le 20/07/2007 à 21:41 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Nouvel astucien

Mdr, je vais tester et je vais reinstaller mon script.

Merci bcp pour ta vitesse de reponse et pour ta patience.

Je te remercie encore, et je te tient au courant.

theraptor
 Posté le 20/07/2007 à 21:44 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Nouvel astucien

argh desolé pour le double post.

Hum il faut rebooter le serveur ?

parce que le script m'informe encore du defaut: - gdlib module support: Unavailable

deejill
 Posté le 20/07/2007 à 21:59 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

quel script ?

donne le ici si possible et colle aussi les erreurs completes

Publicité
theraptor
 Posté le 20/07/2007 à 22:07 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Nouvel astucien

le script est Photo Flash Gallerie.

Dispo a cette adresse: PhotoFlashGallery.com

Il me marque ceci pdt l'installation:

PHP version >= 4.1.0: Yes
- gdlib module support: Unavailable
- XML support: Available

Je n'ai pas plus d'info sur l'erreur.

REQUIREMENTS
*********************************************
The server-side requirements are: PHP 4.1+ .
You will need GDLIB picture library installed on server. This is used to resize pictures with better quality and lower KB size.
The client-side requirements are: a web browser with the Flash 8 plug-in from Macromedia.

deejill
 Posté le 20/07/2007 à 22:23 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

essaye ça:

apt-get install php5-gd

deejill
 Posté le 20/07/2007 à 22:24 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

ou php4-gd suivant ta version de php

theraptor
 Posté le 20/07/2007 à 22:29 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Nouvel astucien

L'opération php4-gd n'est pas valable->Pour le php 4

et


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Aucune version du paquet php5-gd n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
E: Aucun paquet ne correspond au paquet php5-gd ->pour php 5

theraptor
 Posté le 21/07/2007 à 13:43 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Nouvel astucien

PLOP merci bcp j'ai reussi a installer.

Petite MAJ des apt-get.

Arret total du serveur

Mise en place, et redemarrage.

Et bingo...

THX A TOUS !!!

Bonne vacance

deejill
 Posté le 21/07/2007 à 14:51 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

ah ben wi, un apt-get update est plus que necessaire au moins une fois par semaine.

si tu a peur d'oublier, met une tache cron root pour le faire automatiquement:

su

crontab -e

rajouter:

* 3 * * * apt-get update

Page : [1] 
Page 1 sur 1

Vous devez être connecté pour participer à la discussion.
Cliquez ici pour vous identifier.

Vous n'avez pas de compte ? Créez-en un gratuitement !
Recevoir PC Astuces par e-mail


La Lettre quotidienne +226 000 inscrits
Avec l'actu, des logiciels, des applis, des astuces, des bons plans, ...

Les bonnes affaires
Une fois par semaine, un récap des meilleurs offres.

Les fonds d'écran
De jolies photos pour personnaliser votre bureau. Une fois par semaine.

Les nouveaux Bons Plans
Des notifications pour ne pas rater les bons plans publiés sur le site.

Les bons plans du moment PC Astuces

Tous les Bons Plans
54,99 €Office 365 Famille (6 utilisateurs, 15 mois) + McAfee Total Protection 6 postes à 54,99 €
Valable jusqu'au 15 Mai

Amazon fait une promotion sur Office 365 Famille qui passe ainsi à 54,99 €, en téléchargement légal alors qu'on le trouve habituellement à 99 €. Vous pourrez télécharger et installer les dernières versions d'Outlook, Word, Excel, PowerPoint et OneNote sur 6 PC, Mac ou tablettes (iOS ou Android) pendant 15 mois. Vous bénéficierez également d'un espace de stockage en ligne sur OneDrive de 1 To pour chaque utilisateur (6x1 To). Un abonnement d'un an à l'antivirus McAfee Total Protection 2021 6 appareils est également offert.


> Voir l'offre
94,99 €Adobe Creative Cloud pour la photo (Adobe Photoshop CC et Lightroom) à 94,99 €
Valable jusqu'au 15 Mai

Amazon propose actuellement le code d'activation pour Adobe Creative Cloud à 94,99 € alors qu'on le trouve ailleurs à 140 € environ. Vous pourrez ainsi accéder pendant 1 an aux meilleurs outils de photographie du monde, dont Adobe Photoshop et Lightroom (mobile, web et pour poste de travail) ainsi qu'à une vaste bibliothèque de didacticiels vidéo pour maitriser ces logiciels ainsi que 20 Go de stockage dans le cloud. Cette offre est valable pour MAC et pour PC


> Voir l'offre
349,00 €Ecran 27 pouces LG Ultragear 27GN88A-B (QHD, IPS, 1 ms, 144 Hz, bras ergonomique) à 349 €
Valable jusqu'au 13 Mai

Amazon fait une promotion sur l'écran LG Ultragear 27GN88A-B qui passe à 349 € livré gratuitement au lieu de 500 € ailleurs. Cet écran possède une dalle 27 pouces QHD (2560x1440) nano IPS à 144 Hz, un temps de réponse de 1 ms et un bras ergonomique qui offre un réglage poussé pour l'extension, la rétraction, le pivotement, la rotation, la hauteur et l'inclinaison.. Il est compatible FreeSync et GSync


> Voir l'offre

Sujets relatifs
cd ou clef usb pour installer Handy linux 2.88
installer LINUX sur une clef USB
Installer Pare-feu dans Debian ?
installer debian testing pour tester quelque chose.....
Installer linux sur un portable avec Windows 8 ?
Installer une distri linux sur une relique !!
Comment installer camtasia studio sur linux
Quel Linux installer ?
Linux s'installe mais impossible d'installer windows
Installer Linux sur un boitier externe
Plus de sujets relatifs à [DEBIAN LINUX] Installer GDLIB picture librar
 > Tous les forums > Forum Linux